FileBody (rhino 1.7.7.1 API)
Date: 2016-02-03

org.mozilla.javascript.tools.idswitch

## Class FileBody

- java.lang.Object
- - org.mozilla.javascript.tools.idswitch.FileBody

-     public class FileBody
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileBody()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `char[]` | `getBuffer()`
    `int` | `getLineBegin()`
    `int` | `getLineEnd()`
    `int` | `getLineNumber()`
    `boolean` | `nextLine()`
    `void` | `readData(java.io.Reader r)`
    `boolean` | `setReplacement(int begin, int end, java.lang.String text)`
    `void` | `startLineLoop()`
    `boolean` | `wasModified()`
    `void` | `writeData(java.io.Writer w)`
    `void` | `writeInitialData(java.io.Writer w)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileBody

          public FileBody()

  - ### Method Detail

    - #### getBuffer

          public char[] getBuffer()

    - #### readData

          public void readData(java.io.Reader r)
                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeInitialData

          public void writeInitialData(java.io.Writer w)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeData

          public void writeData(java.io.Writer w)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### wasModified

          public boolean wasModified()

    - #### setReplacement

          public boolean setReplacement(int begin,
                               int end,
                               java.lang.String text)

    - #### getLineNumber

          public int getLineNumber()

    - #### getLineBegin

          public int getLineBegin()

    - #### getLineEnd

          public int getLineEnd()

    - #### startLineLoop

          public void startLineLoop()

    - #### nextLine

          public boolean nextLine()